GrailsFlowUrlHandler (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.webflow.context.servlet
[Groovy] Class GrailsFlowUrlHandler

    java.lang.Object
      org.springframework.webflow.context.servlet.DefaultFlowUrlHandler
          org.codehaus.groovy.grails.webflow.context.servlet.GrailsFlowUrlHandler

All Implemented Interfaces:
  org.springframework.context.ApplicationContextAware

    class GrailsFlowUrlHandler
    extends org.springframework.webflow.context.servlet.DefaultFlowUrlHandler

Changes the default FlowUrlHandler to take into account that Grails request run as part of a forward.

Authors:
  Graeme Rocher

Since:
  1.1

Property Summary
`org.springframework.context.ApplicationContext` | `applicationContext`

Method Summary
`java.lang.String` | `createFlowDefinitionUrl(java.lang.String flowId, org.springframework.webflow.core.collection.AttributeMap input, javax.servlet.http.HttpServletRequest request)`
`java.lang.String` | `createFlowExecutionUrl(java.lang.String flowId, java.lang.String flowExecutionKey, javax.servlet.http.HttpServletRequest request)`
`java.lang.String` | `getFlowId(javax.servlet.http.HttpServletRequest request)`
`java.lang.String` | `trimParams(java.lang.String url)`

Methods inherited from class org.springframework.webflow.context.servlet.DefaultFlowUrlHandler
org.springframework.webflow.context.servlet.DefaultFlowUrlHandler#setEncodingScheme(java.lang.String), org.springframework.webflow.context.servlet.DefaultFlowUrlHandler#getFlowId(javax.servlet.http.HttpServletRequest), org.springframework.webflow.context.servlet.DefaultFlowUrlHandler#getFlowExecutionKey(javax.servlet.http.HttpServletRequest), org.springframework.webflow.context.servlet.DefaultFlowUrlHandler#createFlowExecutionUrl(java.lang.String, java.lang.String, javax.servlet.http.HttpServletRequest), org.springframework.webflow.context.servlet.DefaultFlowUrlHandler#createFlowDefinitionUrl(java.lang.String, org.springframework.webflow.core.collection.AttributeMap, javax.servlet.http.HttpServletRequest), org.springframework.webflow.context.servlet.DefaultFlowUrlHandler#wait(), org.springframework.webflow.context.servlet.DefaultFlowUrlHandler#wait(long, int), org.springframework.webflow.context.servlet.DefaultFlowUrlHandler#wait(long), org.springframework.webflow.context.servlet.DefaultFlowUrlHandler#equals(java.lang.Object), org.springframework.webflow.context.servlet.DefaultFlowUrlHandler#toString(), org.springframework.webflow.context.servlet.DefaultFlowUrlHandler#hashCode(), org.springframework.webflow.context.servlet.DefaultFlowUrlHandler#getClass(), org.springframework.webflow.context.servlet.DefaultFlowUrlHandler#notify(), org.springframework.webflow.context.servlet.DefaultFlowUrlHandler#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### applicationContext

    org.springframework.context.ApplicationContext applicationContext

Method Detail

### createFlowDefinitionUrl

    java.lang.String createFlowDefinitionUrl(java.lang.String flowId, org.springframework.webflow.core.collection.AttributeMap input, javax.servlet.http.HttpServletRequest request)

### createFlowExecutionUrl

    java.lang.String createFlowExecutionUrl(java.lang.String flowId, java.lang.String flowExecutionKey, javax.servlet.http.HttpServletRequest request)

### getFlowId

    java.lang.String getFlowId(javax.servlet.http.HttpServletRequest request)

### trimParams

    java.lang.String trimParams(java.lang.String url)

Groovy Documentation